<div class="top-most-container {{this.section}}-main-container">
  <HeadLayout />
  {{page-title this.space.currentSpace.name prepend=true}}

  <ThemeWormhole @section={{this.section}}/>

  {{#if this.isLegacyMenuRendered}}
    <MainBar
      @currentAction={{this.router.currentRouteName}}
      @currentURL={{this.router.currentURL}}
      @onChange={{this.goTo}}
      @onSignOut={{this.onSignOut}}
      @onSearch={{this.onSearch}}
      @onSelect={{this.onSelectLocale}}
      @isVisible={{this.isMenuVisible}}
      @showCampaigns={{this.showCampaigns}}
      @showBrowse={{this.showBrowse}}
      @showAbout={{this.articles.hasAbout}}
      @teams={{this.user.teams}}
      @showWelcomeLink={{this.preferences.showWelcomePresentation}}
      @allowManageWithoutTeams={{this.showManage}}
      @selectedLocale={{this.locale}}
      @languages={{@model.languages}}
    />
  {{/if}}

  {{#if this.globalMenu}}
    <View::Slot
      class="sticky"
      @model={{@model}}
      @space={{this.space.currentSpace}}
      @value={{this.globalMenu}}
    />
  {{/if}}

  {{outlet}}

  <ModalInfo />
  <ToasterList />

  <div id="gallery-target"></div>
  <div id="modal-target"></div>
  <div id="slideshow-target"></div>
  <div id="picture-target"></div>

  <div class="map-style d-none" {{did-insert this.onMapStyle}}>
    <div class="extent">[16, 6, 1, 6]</div>
    <div class="polygon">[]</div>
    <div class="line">[]</div>
    <div class="point">[]</div>
    <div class="selection">[]</div>

    <div class="pending-point">[]</div>
    <div class="pending-point-badge">[]</div>
    <div class="private-point-badge">[]</div>
    <div class="selected-point">[]</div>

    <div class="debug-0">[10, 6]</div>
    <div class="debug-10">[10, 10]</div>
    <div class="debug-20">[10, 20]</div>
    <div class="debug-30">[10, 30]</div>

    <div class="group-0 group">[]</div>
    <div class="group-1 group">[]</div>
    <div class="group-2 group">[]</div>
    <div class="group-3 group">[]</div>
    <div class="group-4 group">[]</div>
    <div class="group-5 group">[]</div>
    <div class="group-6 group">[]</div>
    <div class="group-7 group">[]</div>

    <div class="group-text-0 group-text">[]</div>
    <div class="group-text-1 group-text">[]</div>
    <div class="group-text-2 group-text">[]</div>
    <div class="group-text-3 group-text">[]</div>
    <div class="group-text-4 group-text">[]</div>
    <div class="group-text-5 group-text">[]</div>
    <div class="group-text-6 group-text">[]</div>
    <div class="group-text-7 group-text">[]</div>
  </div>

  <Overlay @onClose={{this.search.close}} @isVisible={{this.search.isEnabled}}>
    <div class="container p-5">
      <Search @onClose={{this.search.close}} @space={{this.space.currentSpace}} @mapId={{this.search.map}} />
    </div>
  </Overlay>

  <BasicDropdownWormhole />
</div>